Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005SimpleBasicBehaviors Class Reference

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005SimpleBasicBehaviors:

[legend]
Collaboration diagram for GT2005SimpleBasicBehaviors:

[legend]
List of all members.

## Public Member Functions
| GT2005SimpleBasicBehaviors (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
| Constructor.
void | registerBasicBehaviors (Xabsl2Engine &engine)
| Registers basic behaviors at the engine.
## Private Attributes
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occurs.
Basic Behaviors
GT2005BasicBehaviorGoToBallWithoutTurning | basicBehaviorGoToBallWoTurning
GT2005BasicBehaviorNewGoToBall | basicBehaviorNewGoToBall
GT2005BasicBehaviorGoToBall | basicBehaviorGoToBall
GT2005BasicBehaviorGoToBallPropagated | basicBehaviorGoToBallPropagated
GT2005BasicBehaviorGoToPoint | basicBehaviorGoToPoint
GT2005BasicBehaviorGoToPointFast | basicBehaviorGoToPointFast
GT2005BasicBehaviorGoToInterceptionPoint | basicBehaviorGoToInterceptionPoint
GT2005BasicBehaviorGoForwardToPoint | basicBehaviorGoForwardToPoint
GT2005BasicBehaviorTurnAroundPoint | basicBehaviorTurnAroundPoint
GT2005BasicBehaviorGoToPointAndAvoidObstacles | basicBehaviorGoToPointAndAvoidObstacles
GT2005BasicBehaviorGoaliePosition | basicBehaviorGoaliePosition
GT2005BasicBehaviorGoalieReturnToGoal | basicBehaviorGoalieReturnToGoal
GT2005BasicBehaviorGoaliePositionReturn | basicBehaviorGoaliePositionReturn
GT2005BasicBehaviorTurnAroundPointWithRadius | basicBehaviorTurnAroundPointWithRadius
GT2005BasicBehaviorGoToRelativePoint | basicBehaviorGoToRelativePoint
GT2005BasicBehaviorCalcWlanBearing | basicBehaviorCalcWLanBearing
GT2005BasicBehaviorLocateMaxGreen | basicBehaviorLocateMaxGreen
GT2005BasicBehaviorTurnAroundPointFast | basicBehaviorTurnAroundPointFast
GT2005BasicBehaviorTurn | basicBehaviorTurn

## Constructor & Destructor Documentation

GT2005SimpleBasicBehaviors::GT2005SimpleBasicBehaviors | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Constructor. Definition at line 1052 of file GT2005SimpleBasicBehaviors.h. References basicBehaviorCalcWLanBearing, basicBehaviorGoaliePosition, basicBehaviorGoaliePositionReturn, basicBehaviorGoalieReturnToGoal, basicBehaviorGoForwardToPoint, basicBehaviorGoToBall, basicBehaviorGoToBallPropagated, basicBehaviorGoToBallWoTurning, basicBehaviorGoToInterceptionPoint, basicBehaviorGoToPoint, basicBehaviorGoToPointAndAvoidObstacles, basicBehaviorGoToPointFast, basicBehaviorGoToRelativePoint, basicBehaviorLocateMaxGreen, basicBehaviorNewGoToBall, basicBehaviorTurn, basicBehaviorTurnAroundPoint, basicBehaviorTurnAroundPointFast, and basicBehaviorTurnAroundPointWithRadius.

## Member Function Documentation

void GT2005SimpleBasicBehaviors::registerBasicBehaviors | ( | Xabsl2Engine & | engine | ) | `[inline]`

| Registers basic behaviors at the engine. Definition at line 1079 of file GT2005SimpleBasicBehaviors.h. References basicBehaviorCalcWLanBearing, basicBehaviorGoaliePosition, basicBehaviorGoaliePositionReturn, basicBehaviorGoalieReturnToGoal, basicBehaviorGoForwardToPoint, basicBehaviorGoToBall, basicBehaviorGoToBallPropagated, basicBehaviorGoToBallWoTurning, basicBehaviorGoToInterceptionPoint, basicBehaviorGoToPoint, basicBehaviorGoToPointAndAvoidObstacles, basicBehaviorGoToPointFast, basicBehaviorGoToRelativePoint, basicBehaviorLocateMaxGreen, basicBehaviorNewGoToBall, basicBehaviorTurn, basicBehaviorTurnAroundPoint, basicBehaviorTurnAroundPointFast, basicBehaviorTurnAroundPointWithRadius, and Xabsl2Engine::registerBasicBehavior(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2ErrorHandler& GT2005SimpleBasicBehaviors::errorHandler`[private]`

| Is invoked when errors occurs. Definition at line 1105 of file GT2005SimpleBasicBehaviors.h.

GT2005BasicBehaviorGoToBallWithoutTurning GT2005SimpleBasicBehaviors::basicBehaviorGoToBallWoTurning`[private]`

| Definition at line 1109 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorNewGoToBall GT2005SimpleBasicBehaviors::basicBehaviorNewGoToBall`[private]`

| Definition at line 1110 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToBall GT2005SimpleBasicBehaviors::basicBehaviorGoToBall`[private]`

| Definition at line 1111 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToBallPropagated GT2005SimpleBasicBehaviors::basicBehaviorGoToBallPropagated`[private]`

| Definition at line 1112 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToPoint GT2005SimpleBasicBehaviors::basicBehaviorGoToPoint`[private]`

| Definition at line 1113 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToPointFast GT2005SimpleBasicBehaviors::basicBehaviorGoToPointFast`[private]`

| Definition at line 1114 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToInterceptionPoint GT2005SimpleBasicBehaviors::basicBehaviorGoToInterceptionPoint`[private]`

| Definition at line 1115 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoForwardToPoint GT2005SimpleBasicBehaviors::basicBehaviorGoForwardToPoint`[private]`

| Definition at line 1116 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorTurnAroundPoint GT2005SimpleBasicBehaviors::basicBehaviorTurnAroundPoint`[private]`

| Definition at line 1117 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToPointAndAvoidObstacles GT2005SimpleBasicBehaviors::basicBehaviorGoToPointAndAvoidObstacles`[private]`

| Definition at line 1118 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoaliePosition GT2005SimpleBasicBehaviors::basicBehaviorGoaliePosition`[private]`

| Definition at line 1120 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoalieReturnToGoal GT2005SimpleBasicBehaviors::basicBehaviorGoalieReturnToGoal`[private]`

| Definition at line 1121 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoaliePositionReturn GT2005SimpleBasicBehaviors::basicBehaviorGoaliePositionReturn`[private]`

| Definition at line 1122 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorTurnAroundPointWithRadius GT2005SimpleBasicBehaviors::basicBehaviorTurnAroundPointWithRadius`[private]`

| Definition at line 1123 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorGoToRelativePoint GT2005SimpleBasicBehaviors::basicBehaviorGoToRelativePoint`[private]`

| Definition at line 1124 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorCalcWlanBearing GT2005SimpleBasicBehaviors::basicBehaviorCalcWLanBearing`[private]`

| Definition at line 1125 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorLocateMaxGreen GT2005SimpleBasicBehaviors::basicBehaviorLocateMaxGreen`[private]`

| Definition at line 1126 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorTurnAroundPointFast GT2005SimpleBasicBehaviors::basicBehaviorTurnAroundPointFast`[private]`

| Definition at line 1127 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

GT2005BasicBehaviorTurn GT2005SimpleBasicBehaviors::basicBehaviorTurn`[private]`

| Definition at line 1128 of file GT2005SimpleBasicBehaviors.h. Referenced by GT2005SimpleBasicBehaviors(), and registerBasicBehaviors().

The documentation for this class was generated from the following file:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h